Subject: bug#21279: 24.4; (match-end 0) doesn't always return nil when previous string-match fails

From: Ernesto Alfonso <[email-masked]>
Date: Mon, 17 Aug 2015 03:34:06 -0400

I see.

I think the documentation of match-end and others should be updated, though, since right now it is a little misleading:

"Value is nil if SUBEXPth pair didn't match, or there were less than
  SUBEXP pairs.
"

seems to suggest that if match fails, value should be nil. I was certaily confused.

Ernesto
Andreas Schwab <[email-masked]> writes:

> Ernesto Alfonso <[email-masked]> writes:
>
>> (match-end 0) doesn't always return nil when previous string-match fails:
>
> A failing match doesn't set match-data.
>
> Andreas.